<?xml version="1.0" ?>
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="xml" omit-xml-declaration="yes" />
  
  <xsl:template match="/project">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:copy-of select="input" />
      <xsl:apply-templates select="target" />
    </xsl:copy>
  </xsl:template>

  <xsl:template match="target">
    <xsl:copy>
      <xsl:copy-of select="@*" />
      <xsl:copy-of select="input" />
      <!-- antcall can be used to find inputs of sub targets -->
      <xsl:copy-of select="antcall" />
    </xsl:copy>
  </xsl:template>
  
</xsl:stylesheet>